import { IRegion } from '@uxland/regions';
import { IUserInfo } from '../../../../features/get-user-info/model';
declare const PrimariaShellHeader_base: any;
export declare class PrimariaShellHeader extends PrimariaShellHeader_base {
    render(): import('lit').TemplateResult<1>;
    static styles: import('lit').CSSResult;
    headerRegion: IRegion | undefined;
    headerRightActionsRegion: IRegion | undefined;
    professional: IUserInfo;
    menuOpened: boolean;
    toggleMenu(): void;
    logout(): void;
    connectedCallback(): void;
    firstUpdated(): void;
}
export {};
